<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>
<? $system = Zend_Registry::get('system_config'); ?>
<? $config_escorts = Zend_Registry::get('escorts_config'); ?>
<style type="text/css">
.photos {
		background: #999;
		padding: 10px 10px 0 0;
		overflow: hidden;
		list-style: none;
	}

	.photos li {
		float: left;
		margin: 0 0 10px 5px;
	}

	.photo {
		background: #fff;
		width: 150px;
		/*height: 150px;*/
		border: 1px solid #777;
		padding: 0;
		/*margin: 0 0 10px 10px;
		float: left;*/
		border-collapse: collapse;
	}

	.photo img {
		position: absolute;
		left: 0;
		top: 0;
		z-index: 1;
	}

	.photo td {
		padding: 4px;
		margin: 0;
		text-align: center;
		vertical-align: middle;
	}

	.photo .wrapper {
		padding: 0;
		position: relative;
		overflow: hidden;
		width: 231px;
		height: 130px;
	}

	.photo div.chk {
		position: absolute;
		right: 8px;
		bottom: 8px;
		background: #f00;
		padding: 3px;
		border: 1px solid #f00;
		z-index: 2;
		display: none;
	}

	.photos div.chk input {
		display: block;
		cursor: pointer;
		position: relative;
	}
</style>

<script type="text/javascript">
	
    var initLoad = function () {
		var self = this;
		var tab = new mootabs('agency-tabs', { width: null, height: 'auto' });
		new mootabs('agency-lang-tabs', { width: null, height: 'auto' });

		<? if ( Cubix_Application::getId() != 16 ): ?>
		tinyMCE.init({
			mode : "textareas",
			theme : "advanced",
			plugins: "emotions,advhr,preview,paste",
			theme_advanced_toolbar_location	  : "top",
			theme_advanced_toolbar_align	  : "left",
			editor_selector : 'about-body',
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,emotions,code,preview",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3_add : "",
			relative_urls : false,
			convert_urls : true
		});
		<? endif; ?>
		
		$('block_website').addEvent('click', function(){
			$('check_website').set('checked',null);
		});

		$('check_website').addEvent('click', function(){
			$('block_website').set('checked',null);
		});
		
		if ( $$('.ip-info')[0] ){
			if($$('.ip-info')[0].getElement('.ip-opener')){
				$$('.ip-info')[0].getElement('.ip-opener').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','block');
				});
				$$('.ip-info')[0].getElement('.close').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','none');
				});
			}
		}

       
	   
		/* club */
		if ( $defined($('is_club')) ) {
			$('is_club').addEvent('change', function() {
				if ( this.get('checked') ) 
				{
					$('club-f').removeClass('none');
					$('photos-tab').removeClass('none');
					//$('comments-tab').removeClass('none');
				}
				else
				{
					$('club-f').addClass('none');
					$('photos-tab').addClass('none');
					//$('comments-tab').addClass('none');
				}
			});
		}
		
		$$('input[name=wellness]').addEvent('change', function() {
			if (this.get('value') == <?= CLUB_WELLNESS_YES ?>)
			{
				$('wellness_add').removeClass('none');
			}
			else
			{
				$('wellness_add').addClass('none');
			}
		});
		
		$$('input[name=food]').addEvent('change', function() {
			if (this.get('value') == <?= CLUB_FOOD_YES ?>)
			{
				$('food_add').removeClass('none');
			}
			else
			{
				$('food_add').addClass('none');
			}
		});
		
		var photos_overlay = new Cubix.Overlay($('agency-photos'), { showLoader: true });
		
		// load photos to popup
		var getPhotos = function(photos_overlay) {
			photos_overlay.disable();
			new Request({
				url: 'agencies/get-photos?agency_id=<?= $this->agency_data->id ?>',
				method: 'get',
				onSuccess: function(resp){
					$('agency-photos').set('html', resp);
					photos_overlay.enable();
				}
			}).send();
		};
		
		getPhotos(photos_overlay);
		
	};
	window.AgencyPopup.removeEvents('loaded');		
	window.AgencyPopup.addEvent('loaded', initLoad);

</script>

<form class="form-common" action="<?= $this->baseUrl() ?>/agencies/approve?id=<?= $this->agency_data->id ?>" method="post" id="agency">
	<input type="hidden" name="user_id" value="<?= $this->agency_data->user_id ?>" />
	<input type="hidden" name="agency_id" id="ag_id" value="<?= $this->agency_data->id ?>" />

	<div id="agency-tabs">
		
		<!-- >>> MooTabs Tab Items -->
		<ul class="mootabs_title">
			<li title="Agency"><span>Agency Info</span></li>
			<li title="Photos" id="photos-tab" ><span>Club Photos</span></li>
		</ul>

		<div id="Agency" class="mootabs_panel">
			<fieldset class="fleft" style="margin-right:5px; width: 380px; padding-right: 5px;">
				<legend>Login Info</legend>
				<? if (Cubix_Application::getId()!= APP_A6):?>
					<div class="inner" style="margin-left: 3px;">
						<b>Agency ID:</b> <?= $this->agency_data->id ?>			
					</div>
				<? endif; ?>
				
				<div class="inner">
					<label for="agency_name">Agency Name</label>
					<input class="txt w30 bold" type="text" id="agency_name" name="agency_name" value="<?= $this->agency_data->name ?>" />
				</div>
				
				<? if (Cubix_Application::getId() == APP_A6): ?>
				<div class="inner">
					<label for="display_name">Display Name</label>
					<input class="txt w30 bold" type="text" id="display_name" name="display_name" value="<?= $this->agency_data->display_name ?>" />
				</div>
				<? endif; ?>

				<div class="clear"></div>
			
				<div class="inner">
					<label for="agency-status">Agency Status</label>
					<select id="agency-status" class="w16
							" name="agency_status">
						<? foreach($DEFINITIONS['agency_status_options'] as $v => $st): ?>
						<option value="<?= $v ?>" <?= $this->agency_data->agency_status === $v ? 'selected="selected"' : '' ?>><?= $st ?></option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="clear"></div>

				<div class="inner">
					<label for="login">Login</label>
					<input class="txt w16" type="text" id="login" name="login" value="<?= $this->agency_data->username ?>" />
				</div>
				<div class="clear"></div>
				
				<div class="inner" style="margin-right: 9px;">
					<label for="u_email">Email</label>
					<input class="txt w16" type="text" id="u_email" name="u_email" value="<?= $this->agency_data->u_email ?>" />
				</div>
				<div class="inner" style="margin-top: 20px;">
					<a id="btn-email"></a>
				</div>


				<div class="clear"></div>

				<div class="inner">
					<label for="password">Password</label>
					<input class="txt w16" type="text" id="password" name="password" onkeyup="passwordStrength(this.value, 'passwordDescription', 'passwordStrength');" value="" />
					<div id="pass_strength">
						<div id="passwordDescription">Password not entered</div>
						<div id="passwordStrength" class="strength0"></div>
					</div>
				</div>

				<?php
					$moderators = new Model_Moderators();
					$sales_person = $moderators->getByApplicationId($this->request()->application_id);
				?>
				<div class="inner">
					<label for="sales_person">Sales Person</label>
					<select name="sales_person_id" id="sales_person_id" class="w15">
						<option>- - -</option>
						<?php foreach ($sales_person as $sp): ?>
						<option value="<?= $sp['id'] ?>?>" <?php if ( $this->agency_data->sales_user_id == $sp['id'] ): ?>selected="selected"<?php endif;?>><?= $sp['username'] ?></option>
						<?php endforeach; ?>
					</select>
				</div>

                <? if ( Cubix_Application::getId() == APP_ED && ($this->user->type == "superadmin" || $this->user->type == "admin" )): ?>
                    <div class="inner">
                        <label for="entry_person">Data Entry User</label>
                        <select name="data_entry_id" id="entry_person" class="w15">
                            <option value="">- - -</option>
                            <? $moderator = new Model_Moderators(); foreach ( $moderator->getByApplicationId($this->request()->application_id) as $entry_user ): ?>
                                <option value="<?= $entry_user['id'] ?>"<?= $this->agency_data->data_entry_user == $entry_user['id'] ? ' selected="selected"' : '' ?>><?= $entry_user['username'] ?></option>
                            <? endforeach; ?>
                        </select>
                    </div>

                <? endif; ?>
				<div class="clear"></div>
				
				<? if (isset($this->agency_data->registered_ip)): ?>
					<div class="inner reg-ip">
						<label>Registered IP</label>
						<?= $this->geoip($this->agency_data->registered_ip)  ?>
					</div>
					<div class="clear"></div>
				<? endif; ?>
					
				<? if ($this->last_ip): ?>
					<div class="inner ip-info">
						<label>Last IP</label>
						<div class="ip-info-box">
							<div class="close"></div>
							<ul>
							<? foreach($this->ip_info as $ip): ?>
								<li><span> <?= $ip->last_date ?></span> | <span class="red"> <?= $ip->ip ?></span>  </li>
							<? endforeach;?>
							</ul>
						</div>
						<?= $this->last_ip ? $this->geoip($this->last_ip, count($this->ip_info)) . '<span class="red">, ' . $this->last_login_date . '</span>' : '-' ?>
					</div>
					<div class="clear"></div>
				<? elseif(!$this->last_ip && count($this->ip_info) > 0): ?>
					<div class="inner ip-info">
						<label>Last IP</label>
						<div class="ip-info-box">
							<div class="close"></div>
							<ul>
							<? foreach($this->ip_info as $ip): ?>
								<li><span> <?= $ip->last_date ?></span> | <span class="red"> <?= $ip->ip ?></span>  </li>
							<? endforeach;?>
							</ul>
						</div>
						<span class="red">N/A (<span class="ip-opener"> <?=count($this->ip_info)?> </span>) , <?= $this->last_login_date ?></span>
					</div>
					<div class="clear"></div>
				<? endif; ?>
				

				<? if(Cubix_Application::getId() == APP_ED): ?>
				<fieldset style="margin-top: 14px;">
					<legend>Spoken Languages</legend>
					<div name="langs">
						<div class="inner">
							<label for="lang">Language</label>
							<select id="lang" name="lng">
							<? foreach ($DEFINITIONS['language_options'] as $k => $v): ?>
								<option value="<?= $k ?>"><?= $v ?></option>
							<? endforeach; ?>
							</select>
						</div>
							<div class="inner">
								<label for="lang-level">Level</label>
								<select id="lang-level" name="lng_lvl" class="w8">
									<option value="24">Basic</option>
									<option value="49">Fair</option>
									<option value="74">Good</option>
									<option value="100">Excellent</option>
								</select>
							</div>
						<div class="inner">
							<a id="btn-lang-add"></a>
						</div>
						<div class="clear"></div>
					</div><!-- name langs -->

					<div id="langs" class="inner mt10">
						<? foreach ( $this->agency_langs as $lang ): ?>
						<div class="lang mb5">
							<div class="fleft">
								<a class="sbtn icon-remove"></a>
							</div>
							<div class="fleft">
								<? 
								if ($lang['level'] > 0 && $lang['level'] <= 24)
									$lt = 'Basic';
								elseif ($lang['level'] >= 25 && $lang['level'] <= 49)
									$lt = 'Fair';
								elseif ($lang['level'] >= 50 && $lang['level'] <= 74)
									$lt = 'Good';
								elseif ($lang['level'] >= 75 && $lang['level'] <= 100)
									$lt = 'Excellent';
								?>
								<?= $DEFINITIONS['language_options'][$lang['lang_id']] . ' - ' . /*$lang['level']*/$lt; ?>
							</div>
							<input type="hidden" name="langs[]" value="<?= $lang['lang_id'] . ':' . $lang['level'] ?>" />
							<div class="clear"></div>
						</div>
						<? endforeach; ?>
					</div>
				</fieldset>
				<?php endif; ?>
			</fieldset>

			<div class="fleft m0">
				<fieldset  style="margin-right:5px;padding-right: 5px;">
					<legend>Agency Logo</legend>
					<a href="<?= $this->agency_logo_orig ?>" class="highslide  " onclick="return hs.expand(this);">
						<img src="<?= $this->agency_logo ?>">
					</a>
				</fieldset>	
				
				<fieldset style="margin-right:5px; width: 320px; height: 290px;" id="personal">
				<legend>Personal</legend>
				<div class="inner">
					<label for="email">Contact Email</label>
					<input class="txt w15" type="text" id="email" name="email" value="<?= $this->agency_data->email ?>" />
				</div>
				<div class="inner" style="margin-top: 20px;">
					<a id="btn-c-email"></a>
				</div>
				
				
				<div class="clear"></div>
				<div class="inner" style="margin-right:0">
					<label for="web">Web</label>
					<input class="txt w19"  type="text" id="web" name="web" value="<?= $this->agency_data->web ?>" />
				</div>

				<div class="inner"  style="text-align: center; margin-right:0px;">
					<label for="web_address">Block</label>
					<input id="block_website" type="checkbox" <?= $this->agency_data->block_website ? 'checked = checked' : '' ?> name="block_website" value="1" />
				</div>

				<div class="inner"  style="text-align: center; margin-right:0px;">
					<label for="web_address">Check</label>
					<input id="check_website" type="checkbox" <?= $this->agency_data->check_website ? 'checked = checked' : '' ?> name="check_website" value="1" />
				</div>
				
				<div class="clear"></div>

				<div class="inner">
					<label for="phone_prefix">Country Calling Code</label>
					<select name="phone_prefix" id="phone_prefix" class="w12">
						<option value ="0">-------</option>
						<? foreach($this->countries as $country):?>
							<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="inner">
					<label for="phone">Phone</label>
					<input type="text" class="txt w10" value="<?= $this->agency_data->phone ?>" name="phone" id="contact_phone" />
					<input type="hidden"  value="<?= $this->agency_data->contact_phone_parsed ?>" name="contact_phone_parsed" />
				</div>
				<div class="inner">
					<a id="btn-quick-sms"></a>
				</div>
				
				<div class="clear"></div>
				<? if (Cubix_Application::getId() == APP_ED): ?>
					<div class="inner">
						<label><input type="checkbox" name="viber" value="1" <? if ($this->agency_data->viber == 1): ?>checked="checked"<? endif; ?> /> Viber</label>
					</div>
					<div class="inner">
						<label><input type="checkbox" name="whatsapp" value="1" <? if ($this->agency_data->whatsapp == 1): ?>checked="checked"<? endif; ?> /> Whatsapp</label>
					</div>
					<div class="inner">
						<label><input type="checkbox" name="wechat" value="1" <? if ($this->agency_data->wechat == 1): ?>checked="checked"<? endif; ?> /> Wechat</label>
					</div>
					<div class="inner">
						<label><input type="checkbox" name="telegram" value="1" <? if ($this->agency_data->telegram == 1): ?>checked="checked"<? endif; ?> /> Telegram</label>
					</div>
                    <div class="inner">
                        <label><input type="checkbox" name="ssignal" value="1" <? if ($this->agency_data->ssignal == 1): ?>checked="checked"<? endif; ?> /> Signal</label>
                    </div>
					<div class="clear"></div>
				<? endif; ?>
				
				<div class="inner">
					<label>Phone Instructions</label>
					<select name="phone_instr" class="w19">
						<option value="">- any -</option>
						<option value="<?= PHONE_INSTRUCTIONS_SMS_CALL ?>" <?= ( $this->agency_data->phone_instr == PHONE_INSTRUCTIONS_SMS_CALL ) ? 'selected="selected"' : '' ?>>SMS & Call</option>
						<option value="<?= PHONE_INSTRUCTIONS_SMS_ONLY ?>" <?= ( $this->agency_data->phone_instr == PHONE_INSTRUCTIONS_SMS_ONLY ) ? 'selected="selected"' : '' ?>>SMS Only</option>
						<option value="<?= PHONE_INSTRUCTIONS_NO_SMS ?>" <?= ( $this->agency_data->phone_instr == PHONE_INSTRUCTIONS_NO_SMS ) ? 'selected="selected"' : '' ?>>No SMS</option>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="phone_instructions">Phone Instructions Other</label>
					<textarea class="txt" style="width:290px; height: 34px;" name="phone_instructions"><?= $this->agency_data->phone_instructions ?></textarea>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label><input type="checkbox" name="is_anonymous" value="1" <?=  $this->agency_data->is_anonymous == 1 ? 'checked="checked"': '' ?>/> Don't show contact info</label>
				</div>
				<div class="clear"></div>

					<? if ( !in_array(Cubix_Application::getId(), array(APP_A6, APP_A6_AT, APP_EF) ) || (Cubix_Application::getId() == APP_EF && in_array($bc_user->type, array('superadmin', 'admin')) ) ): ?>
					<hr>
					<div class="inner">
						<label for="phone_prefix">Country Calling Code</label>
						<select name="phone_prefix_1" id="phone_prefix_1" class="w12">
							<option value ="0">-------</option>
							<? foreach($this->countries as $country):?>
								<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id_1) && $country->id == $this->phone_prefix_id_1) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
							<? endforeach; ?>
						</select>
					</div>
					<div class="inner">
						<label for="phone">Phone (Additional 1)</label>
						<input type="text" class="txt w10" value="<?= $this->agency_data->phone_1 ?>" name="phone_1" id="phone_1" />
					</div>
					<div class="inner">
						<a id="btn-quick-sms-add-1"></a>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label><input type="checkbox" name="phone_to_all_escorts_1" value="1"  /> Apply phone number to all escorts</label>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label>Phone Instructions</label>
						<select name="phone_instr_1" class="w19">
							<option value="">- any -</option>
							<option value="<?= PHONE_INSTRUCTIONS_SMS_CALL ?>" <?= ( $this->agency_data->phone_instr_1 == PHONE_INSTRUCTIONS_SMS_CALL ) ? 'selected="selected"' : '' ?>>SMS & Call</option>
							<option value="<?= PHONE_INSTRUCTIONS_SMS_ONLY ?>" <?= ( $this->agency_data->phone_instr_1 == PHONE_INSTRUCTIONS_SMS_ONLY ) ? 'selected="selected"' : '' ?>>SMS Only</option>
							<option value="<?= PHONE_INSTRUCTIONS_NO_SMS ?>" <?= ( $this->agency_data->phone_instr_1 == PHONE_INSTRUCTIONS_NO_SMS ) ? 'selected="selected"' : '' ?>>No SMS</option>
						</select>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label for="phone_instructions">Phone Instructions Other</label>
						<textarea class="txt" style="width:290px; height: 34px;" name="phone_instructions_1"><?= $this->agency_data->phone_instructions_1 ?></textarea>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label><input type="checkbox" name="is_anonymous_1" value="1" <?=  $this->agency_data->is_anonymous_1 == 1 ? 'checked="checked"': '' ?>/> Don't show contact info</label>
					</div>
					<div class="clear"></div>

					<hr>
					<div class="inner">
						<label for="phone_prefix">Country Calling Code</label>
						<select name="phone_prefix_2" id="phone_prefix_2" class="w12">
							<option value ="0">-------</option>
							<? foreach($this->countries as $country):?>
								<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id_2) && $country->id == $this->phone_prefix_id_2) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
							<? endforeach; ?>
						</select>
					</div>
					<div class="inner">
						<label for="phone">Phone (Additional 2)</label>
						<input type="text" class="txt w10" value="<?= $this->agency_data->phone_2 ?>" name="phone_2" id="phone_2" />
					</div>
					<div class="inner">
						<a id="btn-quick-sms-add-2"></a>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label><input type="checkbox" name="phone_to_all_escorts_2" value="1"  /> Apply phone number to all escorts</label>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label>Phone Instructions</label>
						<select name="phone_instr_2" class="w19">
							<option value="">- any -</option>
							<option value="<?= PHONE_INSTRUCTIONS_SMS_CALL ?>" <?= ( $this->agency_data->phone_instr_2 == PHONE_INSTRUCTIONS_SMS_CALL ) ? 'selected="selected"' : '' ?>>SMS & Call</option>
							<option value="<?= PHONE_INSTRUCTIONS_SMS_ONLY ?>" <?= ( $this->agency_data->phone_instr_2 == PHONE_INSTRUCTIONS_SMS_ONLY ) ? 'selected="selected"' : '' ?>>SMS Only</option>
							<option value="<?= PHONE_INSTRUCTIONS_NO_SMS ?>" <?= ( $this->agency_data->phone_instr_2 == PHONE_INSTRUCTIONS_NO_SMS ) ? 'selected="selected"' : '' ?>>No SMS</option>
						</select>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label for="phone_instructions">Phone Instructions Other</label>
						<textarea class="txt" style="width:290px; height: 34px;" name="phone_instructions_2"><?= $this->agency_data->phone_instructions_2 ?></textarea>
					</div>
					<div class="clear"></div>
					<div class="inner">
						<label><input type="checkbox" name="is_anonymous_2" value="1" <?=  $this->agency_data->is_anonymous_2 == 1 ? 'checked="checked"': '' ?>/> Don't show contact info</label>
					</div>
					<div class="clear"></div>
				<? endif; ?>

				</fieldset>
			</div>	
			<div class="clear"></div>

			<fieldset class="fleft" style="margin-top:5px; margin-right:5px; padding-right: 5px; width: 380px; height: 250px;">
				<legend>Working Hours</legend>

				<div class="inner mb10">
					<label for="available_24_7" class="inline">Available 24/7</label>
					<input type="checkbox" id="available_24_7" <?= $this->agency_data->available_24_7 ? 'checked="checked"' : '' ?> name="available_24_7" value="1" />
				</div>
				<div class="clear"></div>

				<? for ($j = 1; $j <= 7; $j++): ?>
					<div class="w_times">
						<div class="fleft">
							<label class="w10">
								<input <?php if( $this->working_hours[$j]['day_index']): ?>checked="checked"<?php endif; ?> type="checkbox" name="work_days[<?= $j ?>]" value="<?= $j ?>" onchange="this.getParent('div').getNext().getElements('select').set('disabled', this.get('checked') ? '' : 'disabled')" />
								<span> <?= $this->getWeekDay($j) ?> </span>
							</label>
						</div>
						<div class="fleft" name="work_times_<?= $j ?>">
							<select name="work_times_from[<?= $j ?>]" class="w6" <?php if( !$this->working_hours[$j]['day_index']): ?>disabled="disabled"<?php endif;?>>
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
									<option value="<?= $i - 0.5 ?>" <?php if($this->working_hours[$j]['time_from'] == $i - 0.5): ?>selected="selected"<?php endif;?>><?= (strlen($i - 1) == 1 ? '0' : '') . ($i - 1) ?>:30&nbsp;&nbsp;</option>
									<option value="<?= $i ?>" <?php if($this->working_hours[$j]['time_from'] == $i): ?>selected="selected"<?php endif;?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>
							-
							<select name="work_times_to[<?= $j ?>]" class="w6" <?php if( !$this->working_hours[$j]['day_index']): ?>disabled="disabled"<?php endif;?>>
								<option value="">-</option>
								<? for ($i = 1; $i <= 24; $i ++): ?>
									<option value="<?= $i - 0.5 ?>" <?php if($this->working_hours[$j]['time_to'] == $i - 0.5): ?>selected="selected"<?php endif;?>><?= (strlen($i - 1) == 1 ? '0' : '') . ($i - 1) ?>:30&nbsp;&nbsp;</option>
									<option value="<?= $i ?>" <?php if($this->working_hours[$j]['time_to'] == $i): ?>selected="selected"<?php endif;?>><?= (strlen($i) == 1 ? '0' : '') . $i ?>:00&nbsp;&nbsp;</option>
								<? endfor; ?>
							</select>
						</div>
						<div class="clear"></div>
					</div>
				<? endfor; ?>
			</fieldset>
			
			<? if ($system['allow_club'] == 1): ?>
			<fieldset class="fleft" style="margin-top:5px; margin-right:5px; width: 320px;">
				<legend>Club</legend>
				
				<div class="inner mb10">
					<label for="is_club" class="inline">Is Club</label>
					<input type="checkbox" id="is_club" <?= $this->agency_data->is_club ? 'checked="checked"' : '' ?> name="is_club" value="1" />
				</div>
				<div class="clear"></div>
				
				<div id="club-f" class="<?= $this->agency_data->is_club ? '' : 'none' ?>">
					<div style="margin-bottom: 10px; border-bottom: 1px dashed #CCC;">
						<div class="bold fleft">Entrance fee</div>
						<div class="fleft"><label><input type="radio" name="entrance" value="<?= CLUB_ENTRANCE_NA ?>" <? if ($this->agency_data->entrance == CLUB_ENTRANCE_NA): ?> checked="checked"<? endif; ?> /> N/A</label></div>
						<div class="fleft"><label><input type="radio" name="entrance" value="<?= CLUB_ENTRANCE_FREE ?>" <? if ($this->agency_data->entrance == CLUB_ENTRANCE_FREE): ?> checked="checked"<? endif; ?> /> Free</label></div>
						<div class="fleft"><label><input type="radio" name="entrance" value="<?= CLUB_ENTRANCE_NOT_FREE ?>" <? if ($this->agency_data->entrance == CLUB_ENTRANCE_NOT_FREE): ?> checked="checked"<? endif; ?> /> With cost</label></div>
												
						<div class="clear"></div>
						
						<div class="inner" style="float: none; margin-right: 0;">
							<input type="hidden" name="err_entrance" id="err_entrance" value="" />
						</div>
					</div>
					<div style="margin-bottom: 10px; border-bottom: 1px dashed #CCC;">
						<div class="bold fleft" style="margin-right: 39px;">Wellness</div>
						<div class="fleft"><label><input type="radio" name="wellness" value="<?= CLUB_WELLNESS_NA ?>" <? if ($this->agency_data->wellness == CLUB_WELLNESS_NA): ?> checked="checked"<? endif; ?> /> N/A</label></div>
						<div class="fleft"><label><input type="radio" name="wellness" value="<?= CLUB_WELLNESS_YES ?>" <? if ($this->agency_data->wellness == CLUB_WELLNESS_FREE || $this->agency_data->wellness == CLUB_WELLNESS_NOT_FREE): ?> checked="checked"<? endif; ?> /> Yes</label></div>
						<div class="fleft"><label><input type="radio" name="wellness" value="<?= CLUB_WELLNESS_NO ?>" <? if ($this->agency_data->wellness == CLUB_WELLNESS_NO): ?> checked="checked"<? endif; ?> /> No</label></div>
						
						<div class="clear"></div>
						<div style="margin-left: 92px; margin-top: 10px;" id="wellness_add" class="<? if ($this->agency_data->wellness != CLUB_WELLNESS_FREE && $this->agency_data->wellness != CLUB_WELLNESS_NOT_FREE): ?>none<? endif; ?>">
							<div class="fleft"><label><input type="radio" name="wellness_add" value="<?= CLUB_WELLNESS_FREE ?>" <? if ($this->agency_data->wellness == CLUB_WELLNESS_FREE): ?> checked="checked"<? endif; ?> /> Free</label></div>
							<div class="fleft"><label><input type="radio" name="wellness_add" value="<?= CLUB_WELLNESS_NOT_FREE ?>" <? if ($this->agency_data->wellness == CLUB_WELLNESS_NOT_FREE): ?> checked="checked"<? endif; ?> /> With cost</label></div>

							<div class="clear"></div>
						</div>
						
						<div class="inner" style="float: none; margin-right: 0;">
							<input type="hidden" name="err_wellness" id="err_wellness" value="" />
						</div>
					</div>
					<div style="margin-bottom: 10px; border-bottom: 1px dashed #CCC;">
						<div class="bold fleft" style="margin-right: 2px;">Food and drinks</div>
						<div class="fleft"><label><input type="radio" name="food" value="<?= CLUB_FOOD_NA ?>" <? if ($this->agency_data->food == CLUB_FOOD_NA): ?> checked="checked"<? endif; ?> /> N/A</label></div>
						<div class="fleft"><label><input type="radio" name="food" value="<?= CLUB_FOOD_YES ?>" <? if ($this->agency_data->food == CLUB_FOOD_FREE || $this->agency_data->food == CLUB_FOOD_NOT_FREE): ?> checked="checked"<? endif; ?> /> Yes</label></div>
						<div class="fleft"><label><input type="radio" name="food" value="<?= CLUB_FOOD_NO ?>" <? if ($this->agency_data->food == CLUB_FOOD_NO): ?> checked="checked"<? endif; ?> /> No</label></div>
						
						<div class="clear"></div>
						<div style="margin-left: 92px; margin-top: 10px;" id="food_add" class="<? if ($this->agency_data->food != CLUB_FOOD_FREE && $this->agency_data->food != CLUB_FOOD_NOT_FREE): ?>none<? endif; ?>">
							<div class="fleft"><label><input type="radio" name="food_add" value="<?= CLUB_FOOD_FREE ?>" <? if ($this->agency_data->food == CLUB_FOOD_FREE): ?> checked="checked"<? endif; ?> /> Free</label></div>
							<div class="fleft"><label><input type="radio" name="food_add" value="<?= CLUB_FOOD_NOT_FREE ?>" <? if ($this->agency_data->food == CLUB_FOOD_NOT_FREE): ?> checked="checked"<? endif; ?> /> With cost</label></div>

							<div class="clear"></div>
						</div>
						
						<div class="inner" style="float: none; margin-right: 0;">
							<input type="hidden" name="err_food" id="err_food" value="" />
						</div>
					</div>
					<div>
						<div class="bold fleft" style="margin-right: 17px;">Outdoor area</div>
						<div class="fleft"><label><input type="radio" name="outdoor" value="<?= CLUB_OUTDOOR_NA ?>" <? if ($this->agency_data->outdoor == CLUB_OUTDOOR_NA): ?> checked="checked"<? endif; ?> /> N/A</label></div>
						<div class="fleft"><label><input type="radio" name="outdoor" value="<?= CLUB_OUTDOOR_YES ?>" <? if ($this->agency_data->outdoor == CLUB_OUTDOOR_YES): ?> checked="checked"<? endif; ?> /> Yes</label></div>
						<div class="fleft"><label><input type="radio" name="outdoor" value="<?= CLUB_OUTDOOR_NO ?>" <? if ($this->agency_data->outdoor == CLUB_OUTDOOR_NO): ?> checked="checked"<? endif; ?> /> No</label></div>
						
						<div class="clear"></div>
					</div>
				</div>
			</fieldset>
			<? endif; ?>

			
			
			<div class="clear"></div>
						
			<fieldset class="fleft p0 mt10" style="width: 395px; margin-right: 5px;">
				<legend style=" -moz-border-radius: 3px">About us</legend>

				<div id="agency-lang-tabs" style="padding-top: 8px;">
					<?
						$def_lang = Cubix_Application::getDefaultLang($this->request()->application_id);
						$langs = Cubix_I18n::getLangs(true);
						if ( $def_lang ) {
							foreach ($langs as $i => $lang) {
								if ( $lang == $def_lang ) {
									unset($langs[$i]);
								}
							}
							array_unshift($langs, $def_lang);
						}
					?>

					<ul class="mootabs_title" <? if (Cubix_Application::getId() == APP_ED): ?>style="display: none;"<? endif; ?>>
						<? foreach ($langs as $id): ?>
						<li title="<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
						<? endforeach; ?>
					</ul>
					<? foreach ($langs as $id): ?>
					<div id="<?= $id ?>" class="mootabs_panel">
						<div class="inner" style="padding-left:0">
							<label for="about_<?= $id ?>">About </label>
							<textarea id="about_<?= $id ?>" class="txt about-body" name="about_<?= $id ?>" style="width: 352px; height: 90px"><?= $this->agency_data->{'about_' . $id} ?></textarea>
						</div>
						<div class="clear"></div>
					</div>
					<? endforeach; ?>
				</div>
				<?php if (Cubix_Application::getId() == APP_ED): ?>
				<legend style="-moz-border-radius: 3px">Services</legend>
				<div id="services-tabs" style="padding: 8px;">
					<textarea name="about_services" style="width: 352px; height: 80px;padding: 2px;"><?= $this->agency_data->about_services ?>
					</textarea>
				</div>
				<legend style="-moz-border-radius: 3px">Areas covered</legend>
				<div id="services-tabs" style="padding: 8px;">
					<textarea name="about_areas_covered" style="width: 352px; height: 80px;padding: 2px;"><?= $this->agency_data->about_areas_covered ?></textarea>
				</div>
				<?php endif; ?>
			</fieldset>
			
			<? if (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT): ?>
			<fieldset class="fleft" style="margin-right:5px; margin-top:19px; width: 318px;">
				<div class="inner ">
					<label for="filter_criteria">Criteria (Type)</label>
					<select name="filter_criteria" class="w19">
						<option value ="">-------</option>
						<? foreach($DEFINITIONS['agency_filter_criteria'] as $k => $v):?>
							<option value="<?= $k ?>" <? if ($this->agency_data->filter_criteria == $k): ?>selected="selected"<? endif; ?>><?= $v ?></option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label><input type="checkbox" name="is_premium" value="1" <?=  $this->agency_data->is_premium == 1 ? 'checked="checked"': '' ?> /> Is Premium</label>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label><input type="checkbox" name="show_in_club_directory" value="1" <?=  $this->agency_data->show_in_club_directory == 1 ? 'checked="checked"': '' ?> /> Show in club directory</label>
				</div>
			</fieldset>
			<? endif; ?>

			<div class="clear"></div>
		</div>
		
		<? if ($system['allow_club'] == 1): ?>
		<div id="Photos" class="mootabs_panel">
			<div>
				<? /*<div class="form-common mt20 fleft" id="f-w">
					<form action="../script.php" method="post" enctype="multipart/form-data" id="form-demo">
						<div id="demo-status">
							<p>
								<a href="#" id="demo-browse">Browse Files</a> |
								<a href="#" id="demo-clear">Clear List</a> |
								<a href="#" id="demo-upload">Start Upload</a>
							</p>
							<div style="display: none">
								<strong class="overall-title"></strong><br />
								<img src="/js/fancyupload/assets/bar.gif" class="progress overall-progress" />
							</div>
							<div>
								<strong class="current-title"></strong><br />
								<img src="/js/fancyupload/assets/bar.gif" class="progress current-progress" />
							</div>
							<div class="current-text" style="display: none"></div>
						</div>

						<ul id="demo-list"></ul>
					</form>
				</div>

				<div class="clear"></div>*/?>

				<div class="mt10">				
					<ul class="photos" id="agency-photos" style="position: relative;">

					</ul>

					<?/*<div class="actions mt20">
						<a id="btn-photos-remove"></a>
						<a id="btn-photos-select-all"></a>

						<div class="clear"></div>
					</div>*/ ?>
				</div>
			</div>
		</div>

		<? endif; ?>
	</div>
	
	
</form>
